Update a location
curl --request PUT \
--url https://api-{region}.sesametime.com/core/v3/locations/{id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "Valls main entrance",
"coordinates": {
"latitude": 41.2861,
"longitude": 1.2497
},
"radius": 150,
"address": "Carrer Major 1, Valls"
}
'import requests
url = "https://api-{region}.sesametime.com/core/v3/locations/{id}"
payload = {
"name": "Valls main entrance",
"coordinates": {
"latitude": 41.2861,
"longitude": 1.2497
},
"radius": 150,
"address": "Carrer Major 1, Valls"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: 'Valls main entrance',
coordinates: {latitude: 41.2861, longitude: 1.2497},
radius: 150,
address: 'Carrer Major 1, Valls'
})
};
fetch('https://api-{region}.sesametime.com/core/v3/locations/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"companyId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "Valls main entrance",
"address": "Carrer Major 1, Valls",
"coordinates": {
"latitude": 41.2861,
"longitude": 1.2497
},
"radius": 150,
"createdAt": "2020-01-01T10:00:00+01:00",
"updatedAt": "2020-01-01T10:00:00+01:00"
},
"meta": {
"currentPage": 1,
"lastPage": 1,
"total": 1,
"perPage": 1
}
}{
"message": "Invalid or missing API Key",
"code": "UNAUTHORIZED"
}{
"message": "Evaluation with ID 123e4567-e89b-12d3-a456-426614174000 was not found",
"code": "EVALUATION_NOT_FOUND"
}{
"message": "Rate limit exceeded. Please try again later.",
"code": "RATE_LIMIT_EXCEEDED",
"retryAfter": 60
}Locations
Update a location
Updates the name, address, coordinates and radius of a location. All fields except address are required.
PUT
/
core
/
v3
/
locations
/
{id}
Update a location
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Location id
Body
application/json
Was this page helpful?